SoDetailList(3IV)

NAME
SoDetailList — maintains a list of instances of details

INHERITS FROM
SbPList > SoDetailList

SYNOPSIS
#include <Inventor/SoLists.h>

Methods from class SoDetailList:

SoDetailList()

SoDetailList(int size)

SoDetailList(const SoDetailList &l)

~SoDetailList()
void
append(SoDetail *detail)
void
insert(SoDetail *detail, int addBefore)
void
truncate(int start)
void
copy(const SoDetailList &l)
SoDetailList &
operator =(const SoDetailList &l)
SoDetail *
operator [](int i) const
void
set(int i, SoDetail *detail)

Methods from class SbPList:

int
find(const void *ptr) const
void
remove(int which)
int
getLength() const
int
operator ==(const SbPList &pl) const
int
operator !=(const SbPList &pl) const

DESCRIPTION
This subclass of SbPList holds lists of instances of classes derived from SoDetail.

METHODS

SoDetailList()
Constructor.

SoDetailList(int size)
Constructor that pre-allocates storage for size pointers.

SoDetailList(const SoDetailList &l)
Constructor that copies the contents of another list.

~SoDetailList()
Destructor.

void
append(SoDetail *detail)
Adds a detail to the end of the list.

void
insert(SoDetail *detail, int addBefore)
Inserts given detail in list before detail with given index.

void
truncate(int start)
Removes all details after one with given index, inclusive. Removed detail instances are deleted.

void
copy(const SoDetailList &l)
Copies a list, making a copy of each detail instance in the list.

SoDetailList &
operator =(const SoDetailList &l)
Copies a list, making a copy of each detail instance in the list.

SoDetail *
operator [](int i) const
Accesses an element of a list.

void
set(int i, SoDetail *detail)
Sets an element of a list, deleting the old entry first.

SEE ALSO
SoDetail